<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage TACTICOOL
 * @since TACTICOOL 1.0.50
 */

$tacticool_template_args = get_query_var( 'tacticool_template_args' );
if ( is_array( $tacticool_template_args ) ) {
	$tacticool_columns    = empty( $tacticool_template_args['columns'] ) ? 2 : max( 1, $tacticool_template_args['columns'] );
	$tacticool_blog_style = array( $tacticool_template_args['type'], $tacticool_columns );
} else {
	$tacticool_blog_style = explode( '_', tacticool_get_theme_option( 'blog_style' ) );
	$tacticool_columns    = empty( $tacticool_blog_style[1] ) ? 2 : max( 1, $tacticool_blog_style[1] );
}
$tacticool_blog_id       = tacticool_get_custom_blog_id( join( '_', $tacticool_blog_style ) );
$tacticool_blog_style[0] = str_replace( 'blog-custom-', '', $tacticool_blog_style[0] );
$tacticool_expanded      = ! tacticool_sidebar_present() && tacticool_is_on( tacticool_get_theme_option( 'expand_content' ) );
$tacticool_animation     = tacticool_get_theme_option( 'blog_animation' );
$tacticool_components    = tacticool_array_get_keys_by_value( tacticool_get_theme_option( 'meta_parts' ) );

$tacticool_post_format   = get_post_format();
$tacticool_post_format   = empty( $tacticool_post_format ) ? 'standard' : str_replace( 'post-format-', '', $tacticool_post_format );

$tacticool_blog_meta     = tacticool_get_custom_layout_meta( $tacticool_blog_id );
$tacticool_custom_style  = ! empty( $tacticool_blog_meta['scripts_required'] ) ? $tacticool_blog_meta['scripts_required'] : 'none';

if ( ! empty( $tacticool_template_args['slider'] ) || $tacticool_columns > 1 || ! tacticool_is_off( $tacticool_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $tacticool_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo ( tacticool_is_off( $tacticool_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $tacticool_custom_style ) ) . '-1_' . esc_attr( $tacticool_columns );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" 
<?php
	post_class(
			'post_item post_format_' . esc_attr( $tacticool_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $tacticool_columns )
					. ' post_layout_' . esc_attr( $tacticool_blog_style[0] )
					. ' post_layout_' . esc_attr( $tacticool_blog_style[0] ) . '_' . esc_attr( $tacticool_columns )
					. ( ! tacticool_is_off( $tacticool_custom_style )
						? ' post_layout_' . esc_attr( $tacticool_custom_style )
							. ' post_layout_' . esc_attr( $tacticool_custom_style ) . '_' . esc_attr( $tacticool_columns )
						: ''
						)
		);
	echo ( ! tacticool_is_off( $tacticool_animation ) && empty( $tacticool_template_args['slider'] ) ? ' data-animation="' . esc_attr( tacticool_get_animation_classes( $tacticool_animation ) ) . '"' : '' );
?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'tacticool_action_show_layout', $tacticool_blog_id );
	?>
</article><?php
if ( ! empty( $tacticool_template_args['slider'] ) || $tacticool_columns > 1 || ! tacticool_is_off( $tacticool_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
