<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage TACTICOOL
 * @since TACTICOOL 1.0
 */

$tacticool_template_args = get_query_var( 'tacticool_template_args' );
if ( is_array( $tacticool_template_args ) ) {
	$tacticool_columns    = empty( $tacticool_template_args['columns'] ) ? 2 : max( 1, $tacticool_template_args['columns'] );
	$tacticool_blog_style = array( $tacticool_template_args['type'], $tacticool_columns );
} else {
	$tacticool_blog_style = explode( '_', tacticool_get_theme_option( 'blog_style' ) );
	$tacticool_columns    = empty( $tacticool_blog_style[1] ) ? 2 : max( 1, $tacticool_blog_style[1] );
}
$tacticool_post_format = get_post_format();
$tacticool_post_format = empty( $tacticool_post_format ) ? 'standard' : str_replace( 'post-format-', '', $tacticool_post_format );
$tacticool_animation   = tacticool_get_theme_option( 'blog_animation' );

?><div class="
<?php
if ( ! empty( $tacticool_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo 'masonry_item masonry_item-1_' . esc_attr( $tacticool_columns );
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_format_' . esc_attr( $tacticool_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $tacticool_columns )
		. ( is_sticky() && ! is_paged() ? ' sticky' : '' )
	);
	echo ( ! tacticool_is_off( $tacticool_animation ) && empty( $tacticool_template_args['slider'] ) ? ' data-animation="' . esc_attr( tacticool_get_animation_classes( $tacticool_animation ) ) . '"' : '' );
	?>
>
<?php

// Sticky label
if ( is_sticky() && ! is_paged() ) {
	?>
		<span class="post_label label_sticky"></span>
		<?php
}

	$tacticool_image_hover = ! empty( $tacticool_template_args['hover'] ) && ! tacticool_is_inherit( $tacticool_template_args['hover'] )
								? $tacticool_template_args['hover']
								: tacticool_get_theme_option( 'image_hover' );
	// Featured image
	tacticool_show_post_featured(
		array(
			'hover'         => $tacticool_image_hover,
			'no_links'      => ! empty( $tacticool_template_args['no_links'] ),
			'thumb_size'    => tacticool_get_thumb_size(
				strpos( tacticool_get_theme_option( 'body_style' ), 'full' ) !== false || $tacticool_columns < 3
								? 'masonry-big'
				: 'masonry'
			),
			'show_no_image' => true,
			'class'         => 'dots' == $tacticool_image_hover ? 'hover_with_info' : '',
			'post_info'     => 'dots' == $tacticool_image_hover ? '<div class="post_info">' . esc_html( get_the_title() ) . '</div>' : '',
		)
	);
	?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!