<?php
/**
 * The Front Page template file.
 *
 * @package WordPress
 * @subpackage TACTICOOL
 * @since TACTICOOL 1.0.31
 */

get_header();

// If front-page is a static page
if ( get_option( 'show_on_front' ) == 'page' ) {

	// If Front Page Builder is enabled - display sections
	if ( tacticool_is_on( tacticool_get_theme_option( 'front_page_enabled' ) ) ) {

		if ( have_posts() ) {
			the_post();
		}

		$tacticool_sections = tacticool_array_get_keys_by_value( tacticool_get_theme_option( 'front_page_sections' ), 1, false );
		if ( is_array( $tacticool_sections ) ) {
			foreach ( $tacticool_sections as $tacticool_section ) {
				get_template_part( apply_filters( 'tacticool_filter_get_template_part', 'front-page/section', $tacticool_section ), $tacticool_section );
			}
		}

		// Else if this page is blog archive
	} elseif ( is_page_template( 'blog.php' ) ) {
		get_template_part( apply_filters( 'tacticool_filter_get_template_part', 'blog' ) );

		// Else - display native page content
	} else {
		get_template_part( apply_filters( 'tacticool_filter_get_template_part', 'page' ) );
	}

	// Else get index template to show posts
} else {
	get_template_part( apply_filters( 'tacticool_filter_get_template_part', 'index' ) );
}

get_footer();
