<?php
/**
 * The Header: Logo and main menu
 *
 * @package WordPress
 * @subpackage TACTICOOL
 * @since TACTICOOL 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js
									<?php
										// Class scheme_xxx need in the <html> as context for the <body>!
										echo ' scheme_' . esc_attr( tacticool_get_theme_option( 'color_scheme' ) );
									?>
										">
<head>
	<?php wp_head(); ?>
</head>

<body <?php	body_class(); ?>>
	<?php wp_body_open(); ?>
	<?php do_action( 'tacticool_action_before_body' ); ?>

	<div class="body_wrap">

		<div class="page_wrap">
			<?php
			// Desktop header
			$tacticool_header_type = tacticool_get_theme_option( 'header_type' );
			if ( 'custom' == $tacticool_header_type && ! tacticool_is_layouts_available() ) {
				$tacticool_header_type = 'default';
			}
			get_template_part( apply_filters( 'tacticool_filter_get_template_part', "templates/header-{$tacticool_header_type}" ) );

			// Side menu
			if ( in_array( tacticool_get_theme_option( 'menu_style' ), array( 'left', 'right' ) ) ) {
				get_template_part( apply_filters( 'tacticool_filter_get_template_part', 'templates/header-navi-side' ) );
			}

			// Mobile menu
			get_template_part( apply_filters( 'tacticool_filter_get_template_part', 'templates/header-navi-mobile' ) );
			
			// Single posts banner after header
			tacticool_show_post_banner( 'header' );
			?>

			<div class="page_content_wrap">
				<?php
				// Single posts banner on the background
				if ( is_singular( 'post' ) || is_singular( 'attachment' ) ) {

					tacticool_show_post_banner( 'background' );

					$tacticool_post_thumbnail_type  = tacticool_get_theme_option( 'post_thumbnail_type' );
					$tacticool_post_header_position = tacticool_get_theme_option( 'post_header_position' );
					$tacticool_post_header_align    = tacticool_get_theme_option( 'post_header_align' );

					// Boxed post thumbnail
					if ( in_array( $tacticool_post_thumbnail_type, array( 'boxed', 'fullwidth') ) ) {
						ob_start();
						?>
						<div class="header_content_wrap header_align_<?php echo esc_attr( $tacticool_post_header_align ); ?>">
							<?php
							if ( 'boxed' === $tacticool_post_thumbnail_type ) {
								?>
								<div class="content_wrap">
								<?php
							}

							// Post title and meta
							if ( 'above' === $tacticool_post_header_position ) {
								tacticool_show_post_title_and_meta();
							}

							// Featured image
							tacticool_show_post_featured_image();

							// Post title and meta
							if ( in_array( $tacticool_post_header_position, array( 'under', 'on_thumb' ) ) ) {
								tacticool_show_post_title_and_meta();
							}

							if ( 'boxed' === $tacticool_post_thumbnail_type ) {
								?>
								</div>
								<?php
							}
							?>
						</div>
						<?php
						$tacticool_post_header = ob_get_contents();
						ob_end_clean();
						if ( strpos( $tacticool_post_header, 'post_featured' ) !== false || strpos( $tacticool_post_header, 'post_title' ) !== false ) {
							tacticool_show_layout( $tacticool_post_header );
						}
					}
				}

				if ( 'fullscreen' != tacticool_get_theme_option( 'body_style' ) ) {
					?>
					<div class="content_wrap">
						<?php
				}

				// Widgets area above page content
				tacticool_create_widgets_area( 'widgets_above_page' );
				?>

				<div class="content">
					<?php
					// Widgets area inside page content
					tacticool_create_widgets_area( 'widgets_above_content' );
