<?php
/**
 * The template for homepage posts with "Chess" style
 *
 * @package WordPress
 * @subpackage TACTICOOL
 * @since TACTICOOL 1.0
 */

tacticool_storage_set( 'blog_archive', true );

get_header();

if ( have_posts() ) {

	tacticool_blog_archive_start();

	$tacticool_stickies   = is_home() ? get_option( 'sticky_posts' ) : false;
	$tacticool_sticky_out = tacticool_get_theme_option( 'sticky_style' ) == 'columns'
							&& is_array( $tacticool_stickies ) && count( $tacticool_stickies ) > 0 && get_query_var( 'paged' ) < 1;
	if ( $tacticool_sticky_out ) {
		?>
		<div class="sticky_wrap columns_wrap">
		<?php
	}
	if ( ! $tacticool_sticky_out ) {
		?>
		<div class="chess_wrap posts_container">
		<?php
	}
	
	while ( have_posts() ) {
		the_post();
		if ( $tacticool_sticky_out && ! is_sticky() ) {
			$tacticool_sticky_out = false;
			?>
			</div><div class="chess_wrap posts_container">
			<?php
		}
		$tacticool_part = $tacticool_sticky_out && is_sticky() ? 'sticky' : 'chess';
		get_template_part( apply_filters( 'tacticool_filter_get_template_part', 'content', $tacticool_part ), $tacticool_part );
	}
	?>
	</div>
	<?php

	tacticool_show_pagination();

	tacticool_blog_archive_end();

} else {

	if ( is_search() ) {
		get_template_part( apply_filters( 'tacticool_filter_get_template_part', 'content', 'none-search' ), 'none-search' );
	} else {
		get_template_part( apply_filters( 'tacticool_filter_get_template_part', 'content', 'none-archive' ), 'none-archive' );
	}
}

get_footer();
