<?php
/**
 * The template for homepage posts with "Classic" style
 *
 * @package WordPress
 * @subpackage TACTICOOL
 * @since TACTICOOL 1.0
 */

tacticool_storage_set( 'blog_archive', true );

get_header();

if ( have_posts() ) {

	tacticool_blog_archive_start();

	$tacticool_classes    = 'posts_container '
						. ( substr( tacticool_get_theme_option( 'blog_style' ), 0, 7 ) == 'classic'
							? 'columns_wrap columns_padding_bottom'
							: 'masonry_wrap'
							);
	$tacticool_stickies   = is_home() ? get_option( 'sticky_posts' ) : false;
	$tacticool_sticky_out = tacticool_get_theme_option( 'sticky_style' ) == 'columns'
							&& is_array( $tacticool_stickies ) && count( $tacticool_stickies ) > 0 && get_query_var( 'paged' ) < 1;
	if ( $tacticool_sticky_out ) {
		?>
		<div class="sticky_wrap columns_wrap">
		<?php
	}
	if ( ! $tacticool_sticky_out ) {
		if ( tacticool_get_theme_option( 'first_post_large' ) && ! is_paged() && ! in_array( tacticool_get_theme_option( 'body_style' ), array( 'fullwide', 'fullscreen' ) ) ) {
			the_post();
			get_template_part( apply_filters( 'tacticool_filter_get_template_part', 'content', 'excerpt' ), 'excerpt' );
		}

		?>
		<div class="<?php echo esc_attr( $tacticool_classes ); ?>">
		<?php
	}
	while ( have_posts() ) {
		the_post();
		if ( $tacticool_sticky_out && ! is_sticky() ) {
			$tacticool_sticky_out = false;
			?>
			</div><div class="<?php echo esc_attr( $tacticool_classes ); ?>">
			<?php
		}
		$tacticool_part = $tacticool_sticky_out && is_sticky() ? 'sticky' : 'classic';
		get_template_part( apply_filters( 'tacticool_filter_get_template_part', 'content', $tacticool_part ), $tacticool_part );
	}

	?>
	</div>
	<?php

	tacticool_show_pagination();

	tacticool_blog_archive_end();

} else {

	if ( is_search() ) {
		get_template_part( apply_filters( 'tacticool_filter_get_template_part', 'content', 'none-search' ), 'none-search' );
	} else {
		get_template_part( apply_filters( 'tacticool_filter_get_template_part', 'content', 'none-archive' ), 'none-archive' );
	}
}

get_footer();
