<?php
/**
 * The template for homepage posts with custom style
 *
 * @package WordPress
 * @subpackage TACTICOOL
 * @since TACTICOOL 1.0.50
 */

tacticool_storage_set( 'blog_archive', true );

get_header();

if ( have_posts() ) {

	$tacticool_blog_style = tacticool_get_theme_option( 'blog_style' );
	$tacticool_parts      = explode( '_', $tacticool_blog_style );
	$tacticool_columns    = ! empty( $tacticool_parts[1] ) ? max( 1, min( 6, (int) $tacticool_parts[1] ) ) : 1;
	$tacticool_blog_id    = tacticool_get_custom_blog_id( $tacticool_blog_style );
	$tacticool_blog_meta  = tacticool_get_custom_layout_meta( $tacticool_blog_id );
	if ( ! empty( $tacticool_blog_meta['margin'] ) ) {
		tacticool_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( tacticool_prepare_css_value( $tacticool_blog_meta['margin'] ) ) ) );
	}
	$tacticool_custom_style = ! empty( $tacticool_blog_meta['scripts_required'] ) ? $tacticool_blog_meta['scripts_required'] : 'none';

	tacticool_blog_archive_start();

	$tacticool_classes    = 'posts_container blog_custom_wrap' 
							. ( ! tacticool_is_off( $tacticool_custom_style )
								? sprintf( ' %s_wrap', $tacticool_custom_style )
								: ( $tacticool_columns > 1 
									? ' columns_wrap columns_padding_bottom' 
									: ''
									)
								);
	$tacticool_stickies   = is_home() ? get_option( 'sticky_posts' ) : false;
	$tacticool_sticky_out = tacticool_get_theme_option( 'sticky_style' ) == 'columns'
							&& is_array( $tacticool_stickies ) && count( $tacticool_stickies ) > 0 && get_query_var( 'paged' ) < 1;
	if ( $tacticool_sticky_out ) {
		?>
		<div class="sticky_wrap columns_wrap">
		<?php
	}
	if ( ! $tacticool_sticky_out ) {
		if ( tacticool_get_theme_option( 'first_post_large' ) && ! is_paged() && ! in_array( tacticool_get_theme_option( 'body_style' ), array( 'fullwide', 'fullscreen' ) ) ) {
			the_post();
			get_template_part( apply_filters( 'tacticool_filter_get_template_part', 'content', 'excerpt' ), 'excerpt' );
		}
		?>
		<div class="<?php echo esc_attr( $tacticool_classes ); ?>">
		<?php
	}
	while ( have_posts() ) {
		the_post();
		if ( $tacticool_sticky_out && ! is_sticky() ) {
			$tacticool_sticky_out = false;
			?>
			</div><div class="<?php echo esc_attr( $tacticool_classes ); ?>">
			<?php
		}
		$tacticool_part = $tacticool_sticky_out && is_sticky() ? 'sticky' : 'custom';
		get_template_part( apply_filters( 'tacticool_filter_get_template_part', 'content', $tacticool_part ), $tacticool_part );
	}
	?>
	</div>
	<?php

	tacticool_show_pagination();

	tacticool_blog_archive_end();

} else {

	if ( is_search() ) {
		get_template_part( apply_filters( 'tacticool_filter_get_template_part', 'content', 'none-search' ), 'none-search' );
	} else {
		get_template_part( apply_filters( 'tacticool_filter_get_template_part', 'content', 'none-archive' ), 'none-archive' );
	}
}

get_footer();
