<?php
/* Give (donation forms) support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'tacticool_give_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'tacticool_give_theme_setup9', 9 );
	function tacticool_give_theme_setup9() {

		add_filter( 'tacticool_filter_merge_styles', 'tacticool_give_merge_styles' );

		if ( is_admin() ) {
			add_filter( 'tacticool_filter_tgmpa_required_plugins', 'tacticool_give_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'tacticool_give_tgmpa_required_plugins' ) ) {
	
	function tacticool_give_tgmpa_required_plugins( $list = array() ) {
		if ( tacticool_storage_isset( 'required_plugins', 'give' ) && tacticool_storage_get_array( 'required_plugins', 'give', 'install' ) !== false ) {
			$list[] = array(
				'name'     => tacticool_storage_get_array( 'required_plugins', 'give', 'title' ),
				'slug'     => 'give',
				'required' => false,
			);
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( ! function_exists( 'tacticool_exists_give' ) ) {
	function tacticool_exists_give() {
		return class_exists( 'Give' );
	}
}

// Merge custom styles
if ( ! function_exists( 'tacticool_give_merge_styles' ) ) {
	
	function tacticool_give_merge_styles( $list ) {
		if ( tacticool_exists_give() ) {
			$list[] = 'plugins/give/_give.scss';
		}
		return $list;
	}
}

// Add plugin-specific colors and fonts to the custom CSS
if ( tacticool_exists_give() ) {
	require_once TACTICOOL_THEME_DIR . 'plugins/give/give-styles.php'; }

