<?php
// Add plugin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'tacticool_tribe_events_get_css' ) ) {
	add_filter( 'tacticool_filter_get_css', 'tacticool_tribe_events_get_css', 10, 2 );
	function tacticool_tribe_events_get_css( $css, $args ) {
		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS
			
.tribe-events-list .tribe-events-list-event-title {
	{$fonts['h3_font-family']}
}
.tribe-common--breakpoint-medium.tribe-events .tribe-events-c-top-bar__today-button,
.tribe-events .tribe-events-c-view-selector__list-item-text,
#tribe-events .tribe-events-button,
.tribe-events-button,
.tribe-events-cal-links a,
.tribe-events-sub-nav li a {
	{$fonts['button_font-family']}
	{$fonts['button_font-size']}
	{$fonts['button_font-weight']}
	{$fonts['button_font-style']}
	{$fonts['button_line-height']}
	{$fonts['button_text-decoration']}
	{$fonts['button_text-transform']}
	{$fonts['button_letter-spacing']}
}
#tribe-bar-form button, #tribe-bar-form a,
.tribe-events-read-more {
	{$fonts['button_font-family']}
	{$fonts['button_letter-spacing']}
}
.tribe-events-list .tribe-events-list-separator-month,
.tribe-events-calendar thead th,
.tribe-events-schedule, .tribe-events-schedule h2,
.sc_events_detailed .sc_events_item_title,
.sc_events_detailed span,
#tribe-bar-form input[type="text"] {
	{$fonts['h5_font-family']}
}
.tribe-common .tribe-common-b2 {
	{$fonts['p_font-family']}
}
#tribe-bar-form input, #tribe-events-content.tribe-events-month,
#tribe-events-content .tribe-events-calendar div[id*="tribe-events-event-"] h3.tribe-events-month-event-title,
#tribe-mobile-container .type-tribe_events,
.tribe-events-list-widget ol li .tribe-event-title {
	{$fonts['p_font-family']}
}
.tribe-events-loop .tribe-event-schedule-details,
.single-tribe_events #tribe-events-content .tribe-events-event-meta dt,
#tribe-mobile-container .type-tribe_events .tribe-event-date-start {
	{$fonts['info_font-family']};
}
.tribe-common .tribe-common-b3.tribe-events-calendar-month__calendar-event-tooltip-description,
.tribe-events-content,
.tribe-events .tribe-events-c-top-bar__datepicker-button,
.tribe-common--breakpoint-medium.tribe-common .tribe-common-form-control-text__input, .tribe-common .tribe-common-form-control-text__input,
.tribe-common .tribe-common-c-btn, .tribe-common a.tribe-common-c-btn,
#tribe-bar-form button, #tribe-bar-form a,
.tribe-events-read-more {
	{$fonts['p_font-family']}
}
.tribe-common p {
    {$fonts['p_font-size']}
	{$fonts['p_line-height']}
}
.tribe-common .tribe-common-h5,
.tribe-common .tribe-common-h6 {
	{$fonts['h3_font-family']}
	{$fonts['h3_font-size']}
	{$fonts['h3_line-height']}
}
.tribe-common .tribe-common-h7 {
	{$fonts['h6_font-family']}
	{$fonts['h6_font-size']}
	{$fonts['h6_line-height']}
}
.tribe-events .tribe-events-calendar-list__event-date-tag-weekday,
.tribe-events .datepicker .datepicker-switch,
.tribe-events .datepicker .day,
.tribe-events .datepicker .dow,
.tribe-events .datepicker .month,
.tribe-events .datepicker .year,
.tribe-common .tribe-common-b3,
.tribe-common .tribe-common-h4,
.tribe-common .tribe-common-h7,
.tribe-common .tribe-common-h8 {
	{$fonts['h6_font-family']}
}

CSS;
		}

		if ( isset( $css['vars'] ) && isset( $args['vars'] ) ) {
			$vars         = $args['vars'];
			$css['vars'] .= <<<CSS

#tribe-bar-form .tribe-bar-submit input[type="submit"],
#tribe-bar-form button,
#tribe-bar-form a,
#tribe-events .tribe-events-button,
#tribe-bar-views .tribe-bar-views-list,
.tribe-events-button,
.tribe-events-cal-links a,
#tribe-events-footer ~ a.tribe-events-ical.tribe-events-button,
.tribe-events-sub-nav li a {
	-webkit-border-radius: {$vars['rad6']};
	    -ms-border-radius: {$vars['rad6']};
			border-radius: {$vars['rad6']};
}

CSS;
		}

		if ( isset( $css['colors'] ) && isset( $args['colors'] ) ) {
			$colors         = $args['colors'];
			$css['colors'] .= <<<CSS

/* Filters bar */
#tribe-bar-form {
	color: {$colors['text_dark']};
}
#tribe-bar-form input[type="text"] {
	color: {$colors['text_dark']};
	border-color: {$colors['bd_color']};
}

.datepicker thead tr:first-child th:hover, .datepicker tfoot tr th:hover {
	color: {$colors['text_link']};
	background: {$colors['text_dark']};
}

/* Content */
.tribe-events-calendar thead th {
	color: {$colors['extra_dark']};
	background: {$colors['extra_bg_color']} !important;
}

#tribe-events-content .tribe-events-calendar td,
#tribe-bar-form input[type="text"] {
	border-color: {$colors['bd_color']} !important;
}
#tribe-events-content .tribe-events-calendar th{
	border-color: {$colors['extra_bd_color']} !important;
}
.tribe-events-calendar td div[id*="tribe-events-daynum-"],
.tribe-events-calendar td div[id*="tribe-events-daynum-"] > a,
body .tribe-events-calendar td.tribe-events-past div[id*="tribe-events-daynum-"]>a {
	color: {$colors['text_dark']};
	background: {$colors['bg_color_0']};
}
.tribe-events-calendar td.tribe-events-othermonth,
 table.tribe-events-calendar > tbody>tr:nth-child(2n+1)>td {
	color: {$colors['alter_light']};
	background: {$colors['alter_bg_color']} !important;
}
.tribe-events-calendar td div[id*="tribe-events-daynum-"], 
.tribe-events-calendar td.tribe-events-present div[id*="tribe-events-daynum-"], 
.tribe-events-calendar td.tribe-events-present div[id*="tribe-events-daynum-"] > a, 
.tribe-events-calendar td.tribe-events-past div[id*="tribe-events-daynum-"], 
.tribe-events-calendar td.tribe-events-past div[id*="tribe-events-daynum-"] > a,
.tribe-events-calendar td.tribe-events-othermonth.tribe-events-future div[id*="tribe-events-daynum-"]{
	background-color: {$colors['alter_bg_hover']};
}
.tribe-events-calendar td.tribe-events-othermonth.tribe-events-future div[id*=tribe-events-daynum-]>a{
	background-color: {$colors['bg_color_0']};
}
.tribe-events-calendar td.tribe-events-othermonth div[id*="tribe-events-daynum-"],
.tribe-events-calendar td.tribe-events-othermonth div[id*="tribe-events-daynum-"] > a {
	color: {$colors['alter_light']};
}
.tribe-events-calendar td.tribe-events-past div[id*="tribe-events-daynum-"],
.tribe-events-calendar td.tribe-events-past div[id*="tribe-events-daynum-"] > a {
	color: {$colors['text_light']};
	
}
.tribe-events-calendar td.tribe-events-present div[id*="tribe-events-daynum-"],
.tribe-events-calendar td.tribe-events-present div[id*="tribe-events-daynum-"] > a,
#tribe-events-content .tribe-events-calendar td:hover div[id*="tribe-events-daynum-"]{
	background-color: {$colors['extra_bg_color']};
	color: {$colors['inverse_text']};
}
#tribe-events-content .tribe-events-calendar td:hover div[id*="tribe-events-daynum-"] a{
	color: {$colors['inverse_text']};
	background-color: {$colors['bg_color_0']};
}
.scheme_dark .tribe-events-calendar td.tribe-events-present div[id*="tribe-events-daynum-"],
.scheme_dark .tribe-events-calendar td.tribe-events-present div[id*="tribe-events-daynum-"] > a,
.scheme_dark #tribe-events-content .tribe-events-calendar td:hover div[id*="tribe-events-daynum-"]{
	background-color: {$colors['bd_color']};
}
.tribe-events-content{
    color: {$colors['text']};
}
.tribe-events-calendar .tribe-events-has-events:after {
	background-color: {$colors['text']};
}
.tribe-events-calendar .mobile-active.tribe-events-has-events:after {
	background-color: {$colors['text_link2']};
}
#tribe-events-content .tribe-events-calendar td,
#tribe-events-content .tribe-events-calendar div[id*="tribe-events-event-"] h3.tribe-events-month-event-title a {
	color: {$colors['text_light']};
}
#tribe-events-content .tribe-events-calendar div[id*="tribe-events-event-"] h3.tribe-events-month-event-title a:hover {
	color: {$colors['text_link']};
}
#tribe-events-content .tribe-events-calendar td.mobile-active,
#tribe-events-content .tribe-events-calendar td.mobile-active:hover {
	color: {$colors['text_dark']};
}
#tribe-events-content .tribe-events-calendar td.mobile-active div[id*="tribe-events-daynum-"] {
	color: {$colors['bg_color']};
	background-color: {$colors['text_dark']};

}
#tribe-events-content .tribe-events-calendar td.tribe-events-othermonth.mobile-active div[id*="tribe-events-daynum-"] a,
.tribe-events-calendar .mobile-active div[id*="tribe-events-daynum-"] a {
	background-color: transparent;
	color: {$colors['bg_color']};
}
.events-archive.events-gridview #tribe-events-content table .type-tribe_events {
	border-color: {$colors['bd_color']};
}
#tribe-bar-form.tribe-bar-collapse #tribe-bar-collapse-toggle{
	color: {$colors['bg_color']};
}
#tribe-events-content .tribe-events-calendar .mobile-active:hover{
	background-color: {$colors['alter_bg_color']};
}

/* Tooltip */
.recurring-info-tooltip,
.tribe-events-calendar .tribe-events-tooltip,
.tribe-events-week .tribe-events-tooltip,
.tribe-events-shortcode.view-week .tribe-events-tooltip,
.tribe-events-tooltip .tribe-events-arrow {
	color: {$colors['alter_text']};
	background: {$colors['alter_bg_color']};
	border-color: {$colors['alter_bd_color']};
}
#tribe-events-content .tribe-events-tooltip .summary { 
	color: {$colors['extra_dark']};
	background: {$colors['extra_bg_color']};
}
.tribe-events-tooltip .tribe-event-duration {
	color: {$colors['extra_text']};
}
.datepicker table tr td span.focused,
.datepicker table tr td span:hover,
.datepicker table tr td span.active.active,
.datepicker table tr td span.active:hover.active{
	background: {$colors['extra_bg_color']};
	color: {$colors['inverse_link']};
}

/* Events list */
.tribe-events-list-separator-month {
	color: {$colors['text_dark']};
}
.tribe-events-list-separator-month:after {
	border-color: {$colors['bd_color']};
}
.tribe-events-list .type-tribe_events + .type-tribe_events,
.tribe-events-day .tribe-events-day-time-slot + .tribe-events-day-time-slot + .tribe-events-day-time-slot {
	border-color: {$colors['bd_color']};
}
.tribe-events-list-separator-month span {
	background-color: {$colors['bg_color']};	
}
.tribe-events-list .tribe-events-event-cost span {
	color: {$colors['extra_dark']};
	border-color: {$colors['extra_bg_color']};
	background: {$colors['extra_bg_color']};
}
.tribe-mobile .tribe-events-loop .tribe-events-event-meta {
	color: {$colors['alter_text']};
	border-color: {$colors['alter_bd_color']};
	background-color: {$colors['alter_bg_color']};
}
.tribe-mobile .tribe-events-loop .tribe-events-event-meta a {
	color: {$colors['alter_link']};
}
.tribe-mobile .tribe-events-loop .tribe-events-event-meta a:hover {
	color: {$colors['alter_hover']};
}
.tribe-mobile .tribe-events-list .tribe-events-venue-details {
	border-color: {$colors['alter_bd_color']};
}

.single-tribe_events #tribe-events-footer,
.tribe-events-day #tribe-events-footer,
.events-list #tribe-events-footer,
.tribe-events-map #tribe-events-footer,
.tribe-events-photo #tribe-events-footer {
	border-color: {$colors['bd_color']};	
}

/* Events day */
.tribe-events-day .tribe-events-day-time-slot h5,
.tribe-events-day .tribe-events-day-time-slot .tribe-events-day-time-slot-heading {
	color: {$colors['extra_dark']};
	background: {$colors['extra_bg_color']};
}



/* Single Event */
.single-tribe_events .tribe-events-venue-map {
	color: {$colors['alter_text']};
	border-color: {$colors['alter_bd_hover']};
	background: {$colors['alter_bg_hover']};
}
.single-tribe_events .tribe-events-schedule .tribe-events-cost {
	color: {$colors['text_dark']};
}
.single-tribe_events .type-tribe_events {
	border-color: {$colors['bd_color']};
}

.scheme_self.scheme_dark .sc_events_detailed .sc_events_item{
	border-color: {$colors['bd_color']};
	background-color: {$colors['bg_color_0']};
}
.scheme_default .sc_events_detailed .sc_events_item{
	background-color: {$colors['bg_color']};
}
.sc_events_detailed .sc_events_item_title{
	color: {$colors['text_dark']};
}
.sc_events_detailed span{
	color: {$colors['text']};
}
.sc_events_detailed .sc_button span{
	color: {$colors['inverse_link']};
}



#tribe-events-content table.tribe-events-calendar .type-tribe_events.tribe-event-featured {
	background-color: {$colors['text_link']};
}
#tribe-events-content table.tribe-events-calendar .type-tribe_events.tribe-event-featured .tribe-events-month-event-title a {
	color: {$colors['inverse_link']};
}
#tribe-events-content table.tribe-events-calendar .type-tribe_events.tribe-event-featured .tribe-events-month-event-title a:hover {
	color: {$colors['inverse_dark']};
}




.tribe-events .tribe-events-c-ical__link {
	color: {$colors['inverse_link']};
	background-color: {$colors['text_link']};
}
.tribe-events .tribe-events-c-ical__link:hover {
	color: {$colors['inverse_link']};
	background-color: {$colors['text_hover']};
}
button.tribe-events-c-top-bar__datepicker-button {
	color: {$colors['text_dark']};
	background-color: {$colors['bg_color_0']};
}
.tribe-common--breakpoint-medium.tribe-common a.tribe-common-c-btn-border {
	color: {$colors['inverse_link']};
}
.tribe-events .tribe-events-c-view-selector__list-item--active .tribe-events-c-view-selector__list-item-text,
.tribe-events .tribe-events-c-view-selector__list-item-link:focus .tribe-events-c-view-selector__list-item-text, 
.tribe-events .tribe-events-c-view-selector__list-item-link:hover .tribe-events-c-view-selector__list-item-text {
	color: {$colors['text_link']};
}
.tribe-common--breakpoint-medium.tribe-events .tribe-events-c-view-selector--tabs .tribe-events-c-view-selector__list-item--active .tribe-events-c-view-selector__list-item-link:after {
	background-color: {$colors['text_link']};
}
.tribe-events .datepicker table th {
	background-color: {$colors['bg_color_0']};
}
.tribe-events .datepicker .day.active,
.tribe-events .datepicker .day.active.focused,
.tribe-events .datepicker .month.active,
.tribe-events .datepicker .month.active.focused,
.tribe-events .datepicker .year.active,
.tribe-events .datepicker .year.active.focused {
	color: {$colors['inverse_link']};
	background-color: {$colors['text_link']};
}
.tribe-events .datepicker .day.current, .tribe-events .datepicker .day.current.focused, .tribe-events .datepicker .day.current:focus, .tribe-events .datepicker .day.current:hover, .tribe-events .datepicker .month.current, .tribe-events .datepicker .month.current.focused, .tribe-events .datepicker .month.current:focus, .tribe-events .datepicker .month.current:hover, .tribe-events .datepicker .year.current, .tribe-events .datepicker .year.current.focused, .tribe-events .datepicker .year.current:focus, .tribe-events .datepicker .year.current:hover { 
	color: {$colors['inverse_link']};
	background-color: {$colors['text_link']};
}
.tribe-events .datepicker .day.focused,
.tribe-events .datepicker .day:focus,
.tribe-events .datepicker .day:hover,
.tribe-events .datepicker .month.focused,
.tribe-events .datepicker .month:focus,
.tribe-events .datepicker .month:hover,
.tribe-events .datepicker .year.focused,
.tribe-events .datepicker .year:focus,
.tribe-events .datepicker .year:hover {
	color: {$colors['text_dark']};
	background-color: {$colors['bg_color']};
}
.tribe-events .datepicker .day.active:hover,
.tribe-events .datepicker .day.active:focus,
.tribe-events .datepicker .month.active:hover,
.tribe-events .datepicker .month.active:focus,
.tribe-events .datepicker .year.active:hover,
.tribe-events .datepicker .year.active:focus {
	color: {$colors['inverse_hover']};
	background-color: {$colors['text_hover']};
}
.tribe-events .datepicker .datepicker-switch:focus, .tribe-events .datepicker .datepicker-switch:hover {
	color: {$colors['text_link']};
}

.tribe-common .tribe-common-anchor-alt {
	color: {$colors['text_dark']};
	border-bottom-color: {$colors['text_dark']};
}
.tribe-common .tribe-common-anchor-alt:hover {
	color: {$colors['text_link']};
	border-bottom-color: {$colors['text_link']};
}
.tribe-events .tribe-events-c-events-bar__search-button:before,
.tribe-events .tribe-events-c-view-selector__button:before {
	background-color: {$colors['text_link']};
}
.tribe-common .tribe-common-form-control-text__input {
	border-color: {$colors['bg_color_0']};
}
.tribe-events .tribe-events-c-view-selector__content {
	background-color: {$colors['bg_color']};
}
.tribe-events .tribe-events-c-events-bar__search-filters-container,
.tribe-events .tribe-events-c-events-bar {
	background-color: {$colors['bg_color']};
}

.tribe-events .tribe-events-calendar-month__multiday-event-bar-inner,
.tribe-events .tribe-events-calendar-month__multiday-event-bar {
	background-color: {$colors['text_link']};
	color: {$colors['inverse_link']};
}
.tribe-events .tribe-events-calendar-month__multiday-event-bar .tribe-events-calendar-month__multiday-event-bar-title {
	color: {$colors['inverse_link']};
}
.tribe-events .tribe-events-c-messages__message {
	background-color: {$colors['inverse_link']};
}
.tribe-events .tribe-events-calendar-month__day-date-link,
.tribe-events-calendar-month__day-date-daynum,
.tribe-common--breakpoint-medium.tribe-events .tribe-events-c-nav__next, 
.tribe-common--breakpoint-medium.tribe-events .tribe-events-c-nav__prev,
.tribe-events .tribe-events-calendar-month__header-column-title,
.tribe-events .tribe-events-calendar-list__event-date-tag-weekday,
.tribe-events .tribe-events-calendar-list__event-date-tag-daynum,
.tribe-events .tribe-events-calendar-list__event-venue,
.tribe-events .tribe-events-calendar-list__event-title,
.tribe-events .tribe-events-calendar-list__event-datetime,
.tribe-events .tribe-events-calendar-day__event-datetime,
.tribe-events .tribe-events-calendar-day__event-title,
.tribe-events .tribe-events-calendar-day__event-venue {
	color: {$colors['text_dark']};
}
.tribe-events .tribe-events-calendar-list__event-description,
.tribe-common .tribe-common-b3,
.tribe-events .tribe-events-calendar-day__event-description {
	color: {$colors['text']};
}
.tribe-events-c-nav__list button:disabled {
    color: {$colors['text_dark']} !important;
    background-color: transparent !important;
    opacity: 0.5;
}
.tribe-events-c-nav__list button:disabled svg path{
    fill: {$colors['text_dark']} !important;
}

.tribe-events .tribe-events-calendar-list-nav li button {
	background-color: {$colors['bg_color_0']}!important;
}
.tribe-events .tribe-events-calendar-list-nav li button[disabled] {
	color: {$colors['text_dark']}!important;;
}
.tribe-events .tribe-events-c-nav__next, 
.tribe-events .tribe-events-c-nav__prev {
	color: {$colors['text_dark']};
}
.tribe-events .tribe-events-c-nav__next:hover, 
.tribe-events .tribe-events-c-nav__prev:hover {
	color: {$colors['text_link']};
}
.tribe-events-c-top-bar__nav-link[disabled],
.tribe-events-c-top-bar__nav-link[disabled]:hover, 
.tribe-events-c-top-bar__nav-link[disabled]:focus,
.tribe-events .tribe-events-calendar-month__day-cell--mobile,
.tribe-events-c-view-selector__button,
.tribe-events-c-events-bar__search-button  {
	background-color: {$colors['bg_color_0']}!important;
}
.tribe-events .tribe-events-calendar-month__mobile-events-icon--event {
	background-color: {$colors['text_link']};
}

.tribe-events .tribe-events-calendar-month__day--current .tribe-events-calendar-month__day-date-link:focus, 
.tribe-events .tribe-events-calendar-month__day--current .tribe-events-calendar-month__day-date-link:hover {
	color: {$colors['text_link']};
}
.tribe-events .tribe-events-calendar-day__event--featured::after,
.tribe-events .tribe-events-calendar-list__event-row--featured .tribe-events-calendar-list__event-date-tag-datetime:after {
	background-color: {$colors['text_hover']};
}
.tribe-common--breakpoint-medium.tribe-events .tribe-events-calendar-list__event-datetime-featured-text,
.tribe-events-calendar-day__event-datetime-featured-text.tribe-common-a11y-visual-hide {
	color: {$colors['text_link']};
}
.tribe-common.tribe-events-view--list .tribe-common .tribe-common-c-svgicon--featured path {
	color: {$colors['text_link']}!important;
}
.tribe-events .tribe-events-calendar-month__day-cell--selected .tribe-events-calendar-month__mobile-events-icon--featured .tribe-events-calendar-month__mobile-events-icon-svg path {
	fill: {$colors['text_link']}!important;
}
svg.tribe-common-c-svgicon.tribe-common-c-svgicon--featured.tribe-events-calendar-month__multiday-event-bar-featured-icon-svg,
.tribe-common.tribe-common--breakpoint-medium .tribe-common .tribe-common-c-svgicon--featured path,
.tribe-common.tribe-common--breakpoint-full .tribe-common .tribe-common-c-svgicon--featured path {
	color: {$colors['inverse_text']}!important;
}
.tribe-events .tribe-events-calendar-month-mobile-events__mobile-event-datetime-featured-text {
	color: {$colors['text_link']};
}

.tribe-events .tribe-events-calendar-month-mobile-events__mobile-event-title-link:active, .tribe-events .tribe-events-calendar-month-mobile-events__mobile-event-title-link:focus, .tribe-events .tribe-events-calendar-month-mobile-events__mobile-event-title-link:hover {
	color: {$colors['text_link']};
}

.tribe-events-single .tribe-events-sub-nav .tribe-events-nav-next a,
.tribe-events-single .tribe-events-sub-nav .tribe-events-nav-previous a {
    color: {$colors['inverse_text']};
}

.tribe-events-meta-group .tribe-events-single-section-title,
.tribe-events .tribe-events-calendar-list__event-title-link,
.tribe-events .tribe-events-calendar-list__event-title-link:visited,
.tribe-events .tribe-events-calendar-month__calendar-event-title-link,
.tribe-events .tribe-events-calendar-month__calendar-event-title-link:visited,
.tribe-events .tribe-events-calendar-month__calendar-event-tooltip-title-link,
.tribe-events .tribe-events-calendar-month__calendar-event-tooltip-title-link:visited,
.tribe-events .tribe-events-calendar-day__event-title-link,
.tribe-events .tribe-events-calendar-day__event-title-link:visited {
	color: {$colors['text_dark']};
}

.tribe-common .tribe-common-h7,
.tribe-common .tribe-common-h8,
.tribe-events .datepicker .datepicker-switch,
.tribe-events .datepicker .month,
.tribe-events .datepicker .year,
.tribe-events .datepicker .day,
.tribe-events .datepicker .dow {
	color: {$colors['text_dark']};
}

.tribe-events .datepicker .past {
	color: {$colors['text_dark_07']};
}

.tribe-events .tribe-events-calendar-list__event-title-link:active,
.tribe-events .tribe-events-calendar-list__event-title-link:focus,
.tribe-events .tribe-events-calendar-list__event-title-link:hover,
.tribe-events .tribe-events-calendar-month__calendar-event-title-link:hover,
.tribe-events .tribe-events-calendar-month__calendar-event-tooltip-title-link:hover,
.tribe-events .tribe-events-calendar-day__event-title-link:hover {
	color: {$colors['text_link']};
}

.tribe-events-event-meta a,
.tribe-events-event-meta a:visited  {
	color: {$colors['text_link']};
}
.tribe-events-event-meta a:hover {
	color: {$colors['text_hover']};
}

/* Common rules */
.tribe-common .tribe-common-c-loader .tribe-common-c-loader__dot {
	background-color: {$colors['text_hover']};
}
.tribe-events .tribe-events-view-loader {
  background-color: {$colors['bg_color_07']};
}
.tribe-common .tribe-common-c-svgicon{
	color: {$colors['text_link']};
}

.tribe-events .tribe-events-c-messages__message-list-item-link {
	color: {$colors['text_link']};
}

.tribe-common .tribe-common-anchor-thin-alt:active,
.tribe-common .tribe-common-anchor-thin-alt:focus,
.tribe-common .tribe-common-anchor-thin-alt:hover {
	color: {$colors['text_hover']};
}

.tribe-common .tribe-common-c-svgicon--messages-not-found .tribe-common-c-svgicon__svg-stroke {
	stroke: {$colors['text_dark']};
}
.tribe-events .tribe-events-c-nav,
.tribe-events .tribe-events-calendar-month-mobile-events__mobile-event + .tribe-events-calendar-month-mobile-events__mobile-event,
.tribe-events .tribe-events-calendar-list-nav,
.tribe-events .tribe-events-calendar-day-nav {
	border-top-color: {$colors['bd_color']};
}
.tribe-events .tribe-events-c-day-marker:after,
.tribe-events .tribe-events-calendar-day__time-separator:after, 
.tribe-events .tribe-events-calendar-day__type-separator:after,
.tribe-events .tribe-events-calendar-list__month-separator:after {
	background-color: {$colors['bd_color']};
}
.single-tribe_events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button-text, 
.single-tribe_events .tribe-events-c-subscribe-dropdown button.tribe-events-c-subscribe-dropdown__button-text, 
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button-text, 
.tribe-events .tribe-events-c-subscribe-dropdown button.tribe-events-c-subscribe-dropdown__button-text,
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button-text {
	color: {$colors['inverse_link']};
}
.tribe-events .tribe-events-calendar-month__calendar-event-tooltip-datetime {
	color: {$colors['text']};
}
.tribe-events .tribe-events-calendar-month__day-cell--selected .tribe-events-calendar-month__day-date .tribe-events-calendar-month__day-date-daynum {
	color: {$colors['text_hover']};
}
CSS;
		}

		return $css;
	}
}

