<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage TACTICOOL
 * @since TACTICOOL 1.0
 */

if ( tacticool_sidebar_present() ) {
	ob_start();
	$tacticool_sidebar_name = tacticool_get_theme_option( 'sidebar_widgets' . ( is_single() ? '_single' : '' ) );
	tacticool_storage_set( 'current_sidebar', 'sidebar' );
	if ( is_active_sidebar( $tacticool_sidebar_name ) ) {
		dynamic_sidebar( $tacticool_sidebar_name );
	}
	$tacticool_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $tacticool_out ) ) {
		$tacticool_sidebar_position    = tacticool_get_theme_option( 'sidebar_position' . ( is_single() ? '_single' : '' ) );
		$tacticool_sidebar_position_ss = tacticool_get_theme_option( 'sidebar_position_ss' . ( is_single() ? '_single' : '' ) );
		?>
		<div class="sidebar widget_area
			<?php
			echo ' ' . esc_attr( $tacticool_sidebar_position );
			echo ' sidebar_' . esc_attr( $tacticool_sidebar_position_ss );

			if ( 'float' == $tacticool_sidebar_position_ss ) {
				echo ' sidebar_float';
			}
			if ( ! tacticool_is_inherit( tacticool_get_theme_option( 'sidebar_scheme' ) ) ) {
				echo ' scheme_' . esc_attr( tacticool_get_theme_option( 'sidebar_scheme' ) );
			}
			?>
		" role="complementary">
			<?php
			// Single posts banner before sidebar
			tacticool_show_post_banner( 'sidebar' );
			// Button to show/hide sidebar on mobile
			if ( in_array( $tacticool_sidebar_position_ss, array( 'above', 'float' ) ) ) {
				$tacticool_title = apply_filters( 'tacticool_filter_sidebar_control_title', 'float' == $tacticool_sidebar_position_ss ? esc_html__( 'Show Sidebar', 'tacticool' ) : '' );
				$tacticool_text  = apply_filters( 'tacticool_filter_sidebar_control_text', 'above' == $tacticool_sidebar_position_ss ? esc_html__( 'Show Sidebar', 'tacticool' ) : '' );
				?>
				<a href="#" class="sidebar_control" title="<?php echo esc_attr( $tacticool_title ); ?>"><?php echo esc_html( $tacticool_text ); ?></a>
				<?php
			}
			?>
			<div class="sidebar_inner">
				<?php
				do_action( 'tacticool_action_before_sidebar' );
				tacticool_show_layout( preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $tacticool_out ) );
				do_action( 'tacticool_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<div class="clearfix"></div>
		<?php
	}
}
