<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage TACTICOOL
 * @since TACTICOOL 1.0.1
 */

$tacticool_theme_obj = wp_get_theme();
?>
<div class="tacticool_admin_notice tacticool_welcome_notice update-nag">
	<?php
	// Theme image
	$tacticool_theme_img = tacticool_get_file_url( 'screenshot.jpg' );
	if ( '' != $tacticool_theme_img ) {
		?>
		<div class="tacticool_notice_image"><img src="<?php echo esc_url( $tacticool_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'tacticool' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="tacticool_notice_title">
		<?php
		echo esc_html(
			sprintf(
				// Translators: Add theme name and version to the 'Welcome' message
				__( 'Welcome to %1$s v.%2$s', 'tacticool' ),
				$tacticool_theme_obj->name . ( TACTICOOL_THEME_FREE ? ' ' . __( 'Free', 'tacticool' ) : '' ),
				$tacticool_theme_obj->version
			)
		);
		?>
	</h3>
	<?php

	// Description
	?>
	<div class="tacticool_notice_text">
		<p class="tacticool_notice_text_description">
			<?php
			echo str_replace( '. ', '.<br>', wp_kses_data( $tacticool_theme_obj->description ) );
			?>
		</p>
		<p class="tacticool_notice_text_info">
			<?php
			echo wp_kses_data( __( 'Attention! Plugin "ThemeREX Addons" is required! Please, install and activate it!', 'tacticool' ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="tacticool_notice_buttons">
		<?php
		// Link to the page 'About Theme'
		?>
		<a href="<?php echo esc_url( admin_url() . 'themes.php?page=tacticool_about' ); ?>" class="button button-primary"><i class="dashicons dashicons-nametag"></i> 
			<?php
			esc_html_e( 'Install plugin "ThemeREX Addons"', 'tacticool' );
			?>
		</a>
		<?php		
		// Dismiss this notice
		?>
		<a href="#" class="tacticool_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="tacticool_hide_notice_text"><?php esc_html_e( 'Dismiss', 'tacticool' ); ?></span></a>
	</div>
</div>
