<?php
/**
 * The template to display the Author bio
 *
 * @package WordPress
 * @subpackage TACTICOOL
 * @since TACTICOOL 1.0
 */
?>

<div class="author_info author vcard" itemprop="author" itemscope itemtype="//schema.org/Person">

	<div class="author_avatar" itemprop="image">
		<?php
		$tacticool_mult = tacticool_get_retina_multiplier();
		echo get_avatar( get_the_author_meta( 'user_email' ), 120 * $tacticool_mult );
		?>
	</div><!-- .author_avatar -->

	<div class="author_description">
		<h3 class="author_title" itemprop="name">
		<?php
			// Translators: Add the author's name in the <span>
			echo wp_kses_data( sprintf( __( 'About %s', 'tacticool' ), '<span class="fn">' . get_the_author() . '</span>' ) );
		?>
		</h3>

		<div class="author_bio" itemprop="description">
			<?php echo wp_kses( wpautop( get_the_author_meta( 'description' ) ), 'tacticool_kses_content' ); ?>
			<a class="more-link sc_button sc_button_simple sc_button_size_normal sc_button_with_icon sc_button_icon_left" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>">
			<span class="sc_button_icon"><span class="icon-target-3"></span></span>
			<span class="sc_button_text"><?php echo esc_html__( 'Read more', 'tacticool' ); ?></span></a>
			<?php do_action( 'tacticool_action_user_meta' ); ?>
		</div><!-- .author_bio -->

	</div><!-- .author_description -->

</div><!-- .author_info -->
