<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage TACTICOOL
 * @since TACTICOOL 1.0.10
 */

// Footer sidebar
$tacticool_footer_name    = tacticool_get_theme_option( 'footer_widgets' );
$tacticool_footer_present = ! tacticool_is_off( $tacticool_footer_name ) && is_active_sidebar( $tacticool_footer_name );
if ( $tacticool_footer_present ) {
	tacticool_storage_set( 'current_sidebar', 'footer' );
	$tacticool_footer_wide = tacticool_get_theme_option( 'footer_wide' );
	ob_start();
	if ( is_active_sidebar( $tacticool_footer_name ) ) {
		dynamic_sidebar( $tacticool_footer_name );
	}
	$tacticool_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $tacticool_out ) ) {
		$tacticool_out          = preg_replace( "/<\\/aside>[\r\n\s]*<aside/", '</aside><aside', $tacticool_out );
		$tacticool_need_columns = true;   //or check: strpos($tacticool_out, 'columns_wrap')===false;
		if ( $tacticool_need_columns ) {
			$tacticool_columns = max( 0, (int) tacticool_get_theme_option( 'footer_columns' ) );			
			if ( 0 == $tacticool_columns ) {
				$tacticool_columns = min( 4, max( 1, tacticool_tags_count( $tacticool_out, 'aside' ) ) );
			}
			if ( $tacticool_columns > 1 ) {
				$tacticool_out = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $tacticool_columns ) . ' widget', $tacticool_out );
			} else {
				$tacticool_need_columns = false;
			}
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo ! empty( $tacticool_footer_wide ) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php
				if ( ! $tacticool_footer_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $tacticool_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'tacticool_action_before_sidebar' );
				tacticool_show_layout( $tacticool_out );
				do_action( 'tacticool_action_after_sidebar' );
				if ( $tacticool_need_columns ) {
					?>
					</div><!-- /.columns_wrap -->
					<?php
				}
				if ( ! $tacticool_footer_wide ) {
					?>
					</div><!-- /.content_wrap -->
					<?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
