<?php
/**
 * The template to display default site header
 *
 * @package WordPress
 * @subpackage TACTICOOL
 * @since TACTICOOL 1.0
 */

$tacticool_header_css   = '';
$tacticool_header_image = get_header_image();
$tacticool_header_video = tacticool_get_header_video();
if ( ! empty( $tacticool_header_image ) && tacticool_trx_addons_featured_image_override( is_singular() || tacticool_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$tacticool_header_image = tacticool_get_current_mode_image( $tacticool_header_image );
}

?><header class="top_panel top_panel_default
	<?php
	echo ! empty( $tacticool_header_image ) || ! empty( $tacticool_header_video ) ? ' with_bg_image' : ' without_bg_image';
	if ( '' != $tacticool_header_video ) {
		echo ' with_bg_video';
	}
	if ( '' != $tacticool_header_image ) {
		echo ' ' . esc_attr( tacticool_add_inline_css_class( 'background-image: url(' . esc_url( $tacticool_header_image ) . ');' ) );
	}
	if ( is_single() && has_post_thumbnail() ) {
		echo ' with_featured_image';
	}
	if ( tacticool_is_on( tacticool_get_theme_option( 'header_fullheight' ) ) ) {
		echo ' header_fullheight tacticool-full-height';
	}
	if ( ! tacticool_is_inherit( tacticool_get_theme_option( 'header_scheme' ) ) ) {
		echo ' scheme_' . esc_attr( tacticool_get_theme_option( 'header_scheme' ) );
	}
	?>
">
	<?php

	// Background video
	if ( ! empty( $tacticool_header_video ) ) {
		get_template_part( apply_filters( 'tacticool_filter_get_template_part', 'templates/header-video' ) );
	}

	// Main menu
	if ( tacticool_get_theme_option( 'menu_style' ) == 'top' ) {
		get_template_part( apply_filters( 'tacticool_filter_get_template_part', 'templates/header-navi' ) );
	}

	// Mobile header
	if ( tacticool_is_on( tacticool_get_theme_option( 'header_mobile_enabled' ) ) ) {
		get_template_part( apply_filters( 'tacticool_filter_get_template_part', 'templates/header-mobile' ) );
	}

	if ( !is_single()  ||  ( tacticool_get_theme_option( 'post_header_position' ) == 'default' && tacticool_get_theme_option( 'post_thumbnail_type' ) == 'default' ) ) {
		// Page title and breadcrumbs area
		get_template_part( apply_filters( 'tacticool_filter_get_template_part', 'templates/header-title' ) );

		// Display featured image in the header on the single posts
		// Comment next line to prevent show featured image in the header area
		// and display it in the post's content
		get_template_part( apply_filters( 'tacticool_filter_get_template_part', 'templates/header-single' ) );
	}

	// Header widgets area
	get_template_part( apply_filters( 'tacticool_filter_get_template_part', 'templates/header-widgets' ) );
	?>
</header>
