<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage TACTICOOL
 * @since TACTICOOL 1.0
 */

$tacticool_args = get_query_var( 'tacticool_logo_args' );

// Site logo
$tacticool_logo_type   = isset( $tacticool_args['type'] ) ? $tacticool_args['type'] : '';
$tacticool_logo_image  = tacticool_get_logo_image( $tacticool_logo_type );
$tacticool_logo_text   = tacticool_is_on( tacticool_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$tacticool_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $tacticool_logo_image['logo'] ) || ! empty( $tacticool_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $tacticool_logo_image['logo'] ) ) {
			if ( empty( $tacticool_logo_type ) && function_exists( 'the_custom_logo' ) && is_numeric( $tacticool_logo_image['logo'] ) && (int)$tacticool_logo_image['logo'] > 0) {
				the_custom_logo();
			} else {
				$tacticool_attr = tacticool_getimagesize( $tacticool_logo_image['logo'] );
				echo '<img src="' . esc_url( $tacticool_logo_image['logo'] ) . '"'
						. ( ! empty( $tacticool_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $tacticool_logo_image['logo_retina'] ) . ' 2x"' : '' )
						. ' alt="' . esc_attr( $tacticool_logo_text ) . '"'
						. ( ! empty( $tacticool_attr[3] ) ? ' ' . wp_kses_data( $tacticool_attr[3] ) : '' )
						. '>';
			}
		} else {
			tacticool_show_layout( tacticool_prepare_macros( $tacticool_logo_text ), '<span class="logo_text">', '</span>' );
			tacticool_show_layout( tacticool_prepare_macros( $tacticool_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
