<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage TACTICOOL
 * @since TACTICOOL 1.0
 */

// Header sidebar
$tacticool_header_name    = tacticool_get_theme_option( 'header_widgets' );
$tacticool_header_present = ! tacticool_is_off( $tacticool_header_name ) && is_active_sidebar( $tacticool_header_name );
if ( $tacticool_header_present ) {
	tacticool_storage_set( 'current_sidebar', 'header' );
	$tacticool_header_wide = tacticool_get_theme_option( 'header_wide' );
	ob_start();
	if ( is_active_sidebar( $tacticool_header_name ) ) {
		dynamic_sidebar( $tacticool_header_name );
	}
	$tacticool_widgets_output = ob_get_contents();
	ob_end_clean();
	if ( ! empty( $tacticool_widgets_output ) ) {
		$tacticool_widgets_output = preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $tacticool_widgets_output );
		$tacticool_need_columns   = strpos( $tacticool_widgets_output, 'columns_wrap' ) === false;
		if ( $tacticool_need_columns ) {
			$tacticool_columns = max( 0, (int) tacticool_get_theme_option( 'header_columns' ) );
			if ( 0 == $tacticool_columns ) {
				$tacticool_columns = min( 6, max( 1, tacticool_tags_count( $tacticool_widgets_output, 'aside' ) ) );
			}
			if ( $tacticool_columns > 1 ) {
				$tacticool_widgets_output = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $tacticool_columns ) . ' widget', $tacticool_widgets_output );
			} else {
				$tacticool_need_columns = false;
			}
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo ! empty( $tacticool_header_wide ) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php
				if ( ! $tacticool_header_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $tacticool_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'tacticool_action_before_sidebar' );
				tacticool_show_layout( $tacticool_widgets_output );
				do_action( 'tacticool_action_after_sidebar' );
				if ( $tacticool_need_columns ) {
					?>
					</div>	<!-- /.columns_wrap -->
					<?php
				}
				if ( ! $tacticool_header_wide ) {
					?>
					</div>	<!-- /.content_wrap -->
					<?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
