<?php
/**
 * The style "detailed" of the Events item
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.2
 */

$args = get_query_var('trx_addons_args_sc_events');

if ($args['slider']) {
	?><div class="slider-slide swiper-slide"><?php
} else if ((int)$args['columns'] > 1) {
	?><div class="<?php echo esc_attr(trx_addons_get_column_class(1, $args['columns'])); ?>"><?php
}

?><a href="<?php the_permalink(); ?>" class="sc_events_item"><?php
	// Event's date
	$date = tribe_get_start_date(null, true, 'M. d');
	if (empty($date)) $date = get_the_date('M. d');
	$time = tribe_get_start_time(null, 'g:i A');
	$locality = tribe_get_venue();
	// Event's title
	?><span class="sc_events_item_title_wrap"><span class="sc_events_item_title"><?php the_title(); ?></span></span><?php
	// Event's date
	?><span class="sc_events_item_date_wrap"><span class="sc_events_item_date"><?php esc_html_e('Start : ', 'tacticool'); echo esc_html($date); ?></span></span><?php
	// Event's time
	?><span class="sc_events_item_time_wrap"><span class="sc_events_item_time"><?php esc_html_e('Time : ', 'tacticool'); echo esc_html($time ? esc_html($time) : esc_html__('Whole day', 'tacticool')); ?></span></span>
	<?php
	// Event's location
	if (!empty($locality)){?>
		<span class="sc_events_item_locality_wrap"><span class="sc_events_item_locality"><?php esc_html_e('Place : ', 'tacticool'); echo esc_html($locality); ?></span></span>
	<?php };

	// Arrow (button)
	?><span class="sc_button sc_button_default sc_button_size_normal sc_button_icon_left sc_button_hover_slide_left"><span class="sc_button_text"><span class="sc_button_title"><?php esc_html_e('More info', 'tacticool'); ?></span></span></span><?php
?></a><?php

if ($args['slider'] || (int)$args['columns'] > 1) {
	?></div><?php
}

?>