<?php
/**
 * The style "default" of the Courses
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.2
 */

$args = get_query_var('trx_addons_args_sc_courses');

$meta = get_post_meta(get_the_ID(), 'trx_addons_options', true);

$link = empty($args['no_links'])
			? (!empty($meta['link']) ? $meta['link'] : get_permalink())
			: '';

if (!empty($args['slider'])) {
	?><div class="slider-slide swiper-slide"><?php
} else if ((int)$args['columns'] > 1) {
	?><div class="<?php echo esc_attr(trx_addons_get_column_class(1, $args['columns'])); ?>"><?php
}
?>
<div class="sc_courses_item trx_addons_hover trx_addons_hover_style_links">
	<?php if (has_post_thumbnail()) {
		trx_addons_get_template_part('templates/tpl.featured.php',
											'trx_addons_args_featured',
											apply_filters('trx_addons_filter_args_featured', array(
																'class' => 'sc_courses_item_thumb',
																'hover' => 'zoomin',
																'no_links' => empty($link),
																'link' => $link,
																'thumb_size' => apply_filters('trx_addons_filter_thumb_size', trx_addons_get_thumb_size((int)$args['columns'] > 2 ? 'medium' : 'big'), 'courses-default'),
																),
															'courses-default'
															)
										);
	} ?>
	

	<div class="sc_courses_item_info">
		<div class="sc_courses_item_header">
			<span class="sc_courses_item_categories"><?php trx_addons_show_layout(trx_addons_get_post_terms(' ', get_the_ID(), TRX_ADDONS_CPT_COURSES_TAXONOMY)); ?></span>
			<h5 class="sc_courses_item_title"><?php the_title(); ?></h5>
		</div>
		<div class="sc_courses_item_price"><?php
		$price = explode('/', $meta['price']);
		echo esc_html($price[0]) . (!empty($price[1]) ? '<span class="sc_courses_item_period">'.$price[1].'</span>' : '');
		?></div>
		<?php 
		if (!empty($args['more_text']) || (!empty($meta['product']) && (int) $meta['product'] > 0)) {
			?><div class="more"><?php
			if (!empty($args['more_text'])) {
				?><a href="<?php the_permalink(); ?>" class="<?php echo esc_attr(apply_filters('trx_addons_filter_sc_item_link_classes', 'sc_button sc_button_simple sc_button_size_normal', 'sc_courses', $args)); ?>"><?php echo esc_html($args['more_text']); ?></a><?php
			}
			if (!empty($meta['product']) && (int) $meta['product'] > 0) {
				?><a href="<?php echo esc_url(get_permalink($meta['product'])); ?>" class="<?php echo esc_attr(apply_filters('trx_addons_filter_sc_item_link_classes', 'trx_addons_hover_link2', 'sc_courses', $args)); ?>"><?php esc_html_e('Buy Now', 'tacticool'); ?></a><?php
			}
			?></div><?php
		}
		else{
			?><a href="<?php the_permalink(); ?>" class="<?php echo esc_attr(apply_filters('trx_addons_filter_sc_item_link_classes', 'more-link sc_button sc_button_simple sc_button_size_normal sc_button_with_icon sc_button_icon_left', 'sc_courses', $args)); ?>"><span class="sc_button_icon"><span class="icon-target-3"></span></span></a><?php
		}
		?>
	</div>
	</div><?php
	if (!empty($args['slider']) || (int)$args['columns'] > 1) {
		?></div><?php
	}
	?>