<?php
/**
 * The style "default" of the Team
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.2
 */

$args = get_query_var('trx_addons_args_sc_team');

$meta = get_post_meta(get_the_ID(), 'trx_addons_options', true);
$link = empty($args['no_links']) ? get_permalink() : '';

if ($args['slider']) {
	?><div class="slider-slide swiper-slide"><?php
} else if ((int)$args['columns'] > 1) {
	?><div class="<?php echo esc_attr(trx_addons_get_column_class(1, $args['columns'])); ?>"><?php
}
?>
<div <?php post_class( 'sc_team_item' . (empty($post_link) ? ' no_links' : '') ); ?>>
		<?php
	$image = '';
	if ( has_post_thumbnail() ) {
		$image = trx_addons_get_attachment_url( 
			get_post_thumbnail_id( get_the_ID() ), 
			apply_filters('trx_addons_filter_thumb_size', trx_addons_get_thumb_size('team'), 'team-default')
		);
};
	?>
	<div class="post_featured with_thumb hover_icon sc_team_item_thumb"<?php if (!empty($image)) echo ' style="background-image: url('.esc_url($image).');"'; ?>>
		<div class="mask"></div>
		<div class="icons"><a href="<?php echo esc_url($link); ?>" aria-hidden="true" class="icon-target-3"></a></div>
	</div>
	<div class="sc_team_item_info">
		<div class="sc_team_item_header">
			<h4 class="sc_team_item_title"><?php
				if (!empty($link)) {
					?><a href="<?php echo esc_url($link); ?>"><?php
				}
				the_title();
				if (!empty($link)) {
					?></a><?php
				}
			?></h4>
			<div class="sc_team_item_subtitle"><?php trx_addons_show_layout($meta['subtitle']);?></div>
		</div>
		<?php
		if ( has_excerpt() ) {
			?><div class="sc_team_item_content"><?php the_excerpt(); ?></div><?php
		}
		if (!empty($meta['socials'])) {
			?><div class="sc_team_item_socials socials_wrap"><?php trx_addons_show_layout(trx_addons_get_socials_links_custom($meta['socials'])); ?></div><?php
		}
		if (!empty($link) && !empty($args['more_text'])) {
			?><div class="sc_team_item_button"><a href="<?php echo esc_url($link); ?>" class="<?php echo esc_attr(apply_filters('trx_addons_filter_sc_item_link_classes', 'sc_button sc_button_simple', 'sc_team', $args)); ?>"><?php echo esc_html($args['more_text']); ?></a></div><?php
		}
	?></div>
</div><?php
if ($args['slider'] || (int)$args['columns'] > 1) {
	?></div><?php
}
?>