<?php
/**
 * The "News Magazine" template to show post's content
 *
 * Used in the widget Recent News.
 *
 * @package WordPress
 * @subpackage ThemeREX Addons
 * @since v1.0
 */
 
$widget_args = get_query_var('trx_addons_args_recent_news');
$style = $widget_args['style'];
$number = $widget_args['number'];
$count = $widget_args['count'];
$columns = $widget_args['columns'];
$featured = $widget_args['featured'];
$post_format = get_post_format();
$post_format = empty($post_format) ? 'standard' : str_replace('post-format-', '', $post_format);
$animation = apply_filters('trx_addons_blog_animation', '');

if ($number==$featured+1 && (int)$number > 1 && $featured < $count && $featured!=$columns-1) {
	?><div class="post_delimiter<?php if ((int)$columns > 1) echo ' '.esc_attr(trx_addons_get_column_class(1, 1)); ?>"></div><?php
}
if ((int)$columns > 1 && !($featured==$columns-1 && $number>$featured+1)) {
	?><div class="<?php echo esc_attr(trx_addons_get_column_class(1, $columns)); ?>"><?php
}
?><article 
	<?php post_class( 'post_item post_layout_'.esc_attr($style)
					.' post_format_'.esc_attr($post_format)
					.' post_accented_'.($number<=$featured ? 'on' : 'off') 
					.($featured == $count && $featured > $columns ? ' post_accented_border' : '')
					); ?>
	<?php echo (!empty($animation) ? ' data-animation="'.esc_attr($animation).'"' : ''); ?>
	>

	<?php
	if ( is_sticky() && is_home() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}
	
	trx_addons_get_template_part('templates/tpl.featured.php',
								'trx_addons_args_featured',
								apply_filters('trx_addons_filter_args_featured', array(
												'post_info' => $number<=$featured || $featured==0 ? '<span class="post_categories post_meta_item">'.trx_addons_get_post_categories().'</span>
													<div class="post_info scheme_dark">
													<span class="post_date"><a href="'.esc_url(get_permalink()).'">'.get_the_date().'</a></span>
													<h3 class="post_title entry-title"><a href="'.esc_url(get_permalink()).'" rel="bookmark">' . wp_kses_post( get_the_title() ) . '</a></h3>
													<div class="sc_item_button"><a href="'.esc_url(get_permalink()).'" class="'.esc_attr(apply_filters('trx_addons_filter_sc_item_link_classes', 'more-link sc_button sc_button_simple sc_button_size_normal sc_button_with_icon sc_button_icon_left', 'sc_services', $args)).'"><span class="sc_button_icon"><span class="icon-target-3"></span></span><span class="sc_button_text">'.esc_html__("Read more", "tacticool").'</span></a></div>
												</div>' : '',
												'thumb_size' => trx_addons_get_thumb_size($number<=$featured ? 'recent' : 'team')
												), 'recent_news-magazine')
								);

	if ( !in_array($post_format, array('link', 'aside', 'status', 'quote')) ) {
		if ($number != $featured) {
		?>
		<div class="post_header entry-header">
			<?php
			if ( in_array( get_post_type(), array( 'post', 'attachment' ) ) ) {
				?><div class="post_meta"><span class="post_date"><a href="<?php the_permalink(); ?>"><?php echo get_the_date(); ?></a></span></div><?php
			}
			the_title( '<h4 class="post_title entry-title"><a href="'.esc_url(get_permalink()).'" rel="bookmark">', '</a></h4>');
			?>
			<div class="sc_item_button"><a href="<?php the_permalink(); ?>" class="<?php echo esc_attr(apply_filters('trx_addons_filter_sc_item_link_classes', 'more-link sc_button sc_button_simple sc_button_size_normal sc_button_with_icon sc_button_icon_left', 'sc_services', $args)); ?>"><span class="sc_button_icon"><span class="icon-target-3"></span></span><span class="sc_button_text"><?php echo esc_attr_e('Read more', 'tacticool'); ?></span></a></div>
		</div><!-- .entry-header -->
		<?php
	}}


?>
</article><?php

if ((int)$columns > 1 && !($featured==$columns-1 && $featured<$number && $number<$count)) {
	?></div><?php
}
?>